/*
Theme Name: Konference STEM
Theme URI: https://github.com/coco-jiri
Template: twentytwenty
Author: Jiří Kopecký
Author URI: https://wordpress.org/
Description: Šablona odvozená z šablony Twenty Twenty pro potřeby konference STEM.
Version: 2.1
*/

:root {
    --main-light: #879f32;
    /*--main-icony-svg: #5e7311*/  
    --main-color: #3c4d00;
    --main-dark:  #252e00;
    --secondary-light: #6a9f32;
    --secondary-dark: #447311;
    --secondary-color: #9f8f32
    --third-color: #9d9f32;
 }

.singular .entry-header, .archive-header {
	background-image: url("stem_web_head_back26.svg");
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;

}

.color-accent,.color-accent-hover:hover,.color-accent-hover:focus,:root .has-accent-color,.has-drop-cap:not(:focus):first-letter,.wp-block-button.is-style-outline,a {
 color: var(--secondary-dark); }
blockquote,.border-color-accent,.border-color-accent-hover:hover,.border-color-accent-hover:focus {
 border-color:var(--secondary-light); }
button:not(.toggle),.button,.faux-button,.wp-block-button__link,.wp-block-file .wp-block-file__button,input[type="button"],input[type="reset"],input[type="submit"],.bg-accent,.bg-accent-hover:hover,.bg-accent-hover:focus,:root .has-accent-background-color,.comment-reply-link { background-color: var(--third-color); }
.fill-children-accent,.fill-children-accent * {
 fill:var(--secondary-light); }
:root .has-background-color,button,.button,.faux-button,.wp-block-button__link,.wp-block-file__button,input[type="button"],input[type="reset"],input[type="submit"],.wp-block-button,.comment-reply-link,.has-background.has-primary-background-color:not(.has-text-color),.has-background.has-primary-background-color *:not(.has-text-color),.has-background.has-accent-background-color:not(.has-text-color),.has-background.has-accent-background-color *:not(.has-text-color) { color: #ffffff; }
:root .has-background-background-color { background-color: #ffffff; }
body,.entry-title a,:root .has-primary-color {
 color: #2d2d2d; 
}
:root .has-primary-background-color { background-color: #000000; }
cite,figcaption,.wp-caption-text,.post-meta,.entry-content .wp-block-archives li,.entry-content .wp-block-categories li,.entry-content .wp-block-latest-posts li,.wp-block-latest-comments__comment-date,.wp-block-latest-posts__post-date,.wp-block-embed figcaption,.wp-block-image figcaption,.wp-block-pullquote cite,.comment-metadata,.comment-respond .comment-notes,.comment-respond .logged-in-as,.pagination .dots,.entry-content hr:not(.has-background),hr.styled-separator,:root .has-secondary-color { color: #6d6d6d; }
:root .has-secondary-background-color {
 background-color: #6d6d6d; }
pre,fieldset,input,textarea,table,table *,hr {
 border-color: #dbdbdb; }
caption,code,code,kbd,samp,.wp-block-table.is-style-stripes tbody tr:nth-child(odd),:root .has-subtle-background-background-color { background-color: #dbdbdb; }
.wp-block-table.is-style-stripes { border-bottom-color: #dbdbdb; }
.wp-block-latest-posts.is-grid li { border-top-color: #dbdbdb; }
:root .has-subtle-background-color { color: #dbdbdb; }
body:not(.overlay-header) .primary-menu > li > a,body:not(.overlay-header) .primary-menu > li > .icon,.modal-menu a,.footer-menu a, .footer-widgets a,#site-footer .wp-block-button.is-style-outline,.wp-block-pullquote:before,.singular:not(.overlay-header) .entry-header a,.archive-header a,.header-footer-group .color-accent,.header-footer-group .color-accent-hover:hover {
 color: #fff; 
}
.social-icons a,#site-footer button:not(.toggle),#site-footer .button,#site-footer .faux-button,#site-footer .wp-block-button__link,#site-footer .wp-block-file__button,#site-footer input[type="button"],#site-footer input[type="reset"],#site-footer input[type="submit"] { background-color: var(--third-color); }
.social-icons a,body:not(.overlay-header) .primary-menu ul,.header-footer-group button,.header-footer-group .button,.header-footer-group .faux-button,.header-footer-group .wp-block-button:not(.is-style-outline) .wp-block-button__link,.header-footer-group .wp-block-file__button,.header-footer-group input[type="button"],.header-footer-group input[type="reset"],.header-footer-group input[type="submit"] { color: var(--main-color); }
#site-header,.footer-nav-widgets-wrapper,#site-footer,.menu-modal,.menu-modal-inner,.search-modal-inner,.archive-header,.singular .entry-header,.singular .featured-media:before,.wp-block-pullquote:before { background-color: var(--main-color); }
.header-footer-group,body:not(.overlay-header) #site-header .toggle,.menu-modal .toggle { color: #ffffff; }
body:not(.overlay-header) .primary-menu ul { background-color: #ffffff; }
body:not(.overlay-header) .primary-menu > li > ul:after { border-bottom-color: #ffffff; }
body:not(.overlay-header) .primary-menu ul ul:after { border-left-color: #ffffff; }
.site-description,body:not(.overlay-header) .toggle-inner .toggle-text,.widget .post-date,.widget .rss-date,.widget_archive li,.widget_categories li,.widget cite,.widget_pages li,.widget_meta li,.widget_nav_menu li,.powered-by-wordpress,.to-the-top,.singular .entry-header .post-meta,.singular:not(.overlay-header) .entry-header .post-meta a { color: var(--main-dark); }
.header-footer-group pre,.header-footer-group fieldset,.header-footer-group input,.header-footer-group textarea,.header-footer-group table,.header-footer-group table *,.footer-nav-widgets-wrapper,#site-footer,.menu-modal nav *,.footer-widgets-outer-wrapper,.footer-top { border-color: var(--main-color); }
.header-footer-group table caption,body:not(.overlay-header) .header-inner .toggle-wrapper::before { background-color: var(--main-color); }

body, .entry-content {
	font-family: "Helvetica Neue", Helvetica, sans-serif;
/*		height:100%;
			min-height:100%;*/
}
.entry-content p, .entry-content ol, .entry-content ul, .entry-content dl, .entry-content dt, .widget_text p, .widget_text ol, .widget_text ul, .widget_text dl, .widget_text dt, .widget-content .rssSummary {
	font-family:  "Helvetica Neue", Helvetica, sans-serif;
	letter-spacing: normal;
}


h1, .archive-title {
	font-size: 5.2rem;
}

h2.entry-title  {
	font-size: 2.6rem;
	font-weight: 600;
}

.to-the-top { color: var(--main-light); }

#site-header, #site-footer {
	background-color: var(--main-dark);
}

.header-inner {
	padding: 1rem 0;
}

#site-footer {
	padding: 1rem;
}

.single-post #site-footer,  .error404 #site-footer{
	display: none;
}


.archive .post {
	margin-bottom: 3rem;
}

.footer-widgets-outer-wrapper {
	padding: 4rem 0;
	border: none;
}

.prispevek-header {
	padding: 0;
	max-width: 58rem;
	margin: 0 auto;
}

.prispevek-header h1 {
	font-size: 3.6rem;
	font-weight: 300;
}

.prispevek-header .section-inner {
	width: 100%;
	margin-top: 3.6rem;
}

.post-inner {
	padding-top: 6rem;
}

.type-post {
	margin-bottom: 12rem;
}

.type-post .post-inner {
	padding-top: 4rem;
	padding-bottom: 4rem;
}

button:not(.toggle), .button, .faux-button, .wp-block-button__link, .wp-block-file .wp-block-file__button, input[type="button"], input[type="reset"], input[type="submit"], .bg-accent, .bg-accent-hover:hover, .bg-accent-hover:focus, :root .has-accent-background-color, .comment-reply-link {
	background-color: var(--secondary-light);
}


	/*hamburger*/
.nav-toggle .toggle-inner {
	padding-top: 0rem;
}

.nav-toggle .toggle-icon, .nav-toggle svg {
	height: 2.2rem;
	width: 2.2rem;
}

.header-inner .toggle {
	padding: 0 2.rem;
}

img.e404 {
	height: 36rem;
	display: block;
	margin: 0 auto 6rem auto;
}

.registracni_formular  input[type="submit"] {
	display: block;
	margin: 0 auto;
}


.entry-content > table.seznam_ucastniku:not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.is-style-wide)  {
    max-width: 118rem;
}

ul a {
	text-decoration-thickness: 1px; 
}


.entry-content > *:not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.is-style-wide) {
	max-width: 72rem;
	width: calc(100% - 4rem);
}

 @media only screen and (max-width: 768px) {
    /* For mobile phones: */
	h1 {
		font-size: 3rem;
	}

	h2.entry-title  {
		padding-left: 1rem;
		padding-right: 1rem;
	}

	.prispevek-header {
		width: calc(100% - 4rem);
	}

	.prispevek-header h1 {
		font-weight: 600;
	}
}